# DELETE /v1/agents/{agent_id} - Archive agent

Source: <https://everruns.com/docs/api/operations/delete_agent/>

DELETE

/v1/agents/{agent\_id}

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/agents/example';
const options = {method: 'DELETE'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request DELETE \
  --url https://app.everruns.com/api/v1/agents/example
```

* Production APIapp.everruns.com/api/v1/agents/{agent\_id}

## Parameters

### Path Parameters

**agent\_id**

required

string

Agent ID (prefixed, e.g., agt\_…)

## Responses

### 204

Agent archived successfully

### 400

Invalid agent ID

### 404

Agent not found

### 500

Internal server error